Skip to main content
PUT
/
{alias}
/
catalog
/
comments
/
{id}
Atualizar comentário de produto
curl --request PUT \
  --url https://api.dooki.com.br/v2/{alias}/catalog/comments/{id} \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "product_id": 123,
  "approved": true,
  "name": "<string>",
  "email": "jsmith@example.com",
  "message": "<string>",
  "comment_id": 123
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/catalog/comments/{id}"

payload = {
    "product_id": 123,
    "approved": True,
    "name": "<string>",
    "email": "jsmith@example.com",
    "message": "<string>",
    "comment_id": 123
}
headers = {
    "User-Token": "<api-key>",
    "User-Secret-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {
    'User-Token': '<api-key>',
    'User-Secret-Key': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    product_id: 123,
    approved: true,
    name: '<string>',
    email: 'jsmith@example.com',
    message: '<string>',
    comment_id: 123
  })
};

fetch('https://api.dooki.com.br/v2/{alias}/catalog/comments/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": 123,
  "product_id": 123,
  "comment_id": 123,
  "approved": true,
  "name": "<string>",
  "email": "jsmith@example.com",
  "message": "<string>"
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

id
integer
required

ID do comentário

Body

application/json

Representa os dados necessários para criar ou atualizar um comentário de produto

product_id
integer
required
approved
boolean
required
name
string
required
email
string<email>
required
message
string
required
comment_id
integer | null

Response

Comentário atualizado com sucesso

Representa um comentário associado a um produto

id
integer
product_id
integer
comment_id
integer
approved
boolean
name
string
email
string<email>
message
string